-- Syreky pro Hagen engine
-- (c) Severk 2015 - 2019

-- / port z ALAN verze

title = "Syreky 2019"

-- utils

local function randomp(texty)
	return function()
		p(texty[math.random(1, #texty)])
	end
end

-- slovesa

cont=verb{
	n="pokraovat",
	act = function()
		walk(here().cont)
	end
}

sever = verb{
	n = "sever",
	act = function() 
		walk(here().sever)
	end
}

jih = verb{
	n = "jih",
	act = function() 
		walk(here().jih)
	end
}

desc = verb{
	n ="prozkoumej",
	params = {"desc"},
	act = function(what)
		p("Zkoum " .. game[what].n .. ":")
		local description = game[what].desc
		if type(description)=='string' then
			p(description)
		elseif type(description)=='function' then
			description()
		end
	end
}

open = verb{
	n ="otevi",
	params = {"open"},
	act = function(what)
		local description = game[what].open
		if type(description)=='string' then
			p(description)
		elseif type(description)=='function' then
			description()
		end
	end
}

give  = verb{
	n = "dej",
	params = {"darovatelne", "komu"},
	act = function(co, komu)
		-- tohle je troku hack
		if komu=="naokno" then
			p "Na okno radji nic dvat nebudu. Mohli by to unst holubi."
			return
		end
		
		if co=="syrecky" then
			p "Dv otci syreky."
			p "Otec: dk, synku."
			p "Dokzal jsi to! Dal jsi otci syreky."
			p "Game over!"
			move("syrecky", "otec")
		else
			p("Dv otci " .. game[co].n .. ".")
			p "Otec: No co j s tm? Tohle nechci."
		end
	end
}

eat = verb{
	n = "snz",
	params = {"jedle"},
	act = function(co)
		if co=="bageta" then
			p "OK. Dm si bagetu."
			p "* vejk, vejk, vejk, vejk"
			p "Jo... Byla docela dobr."
			move("bageta", "void")
		elseif co=="syrecky" then
			p "Syreky nesnm:"
			p "a) neuviteln pchnou"
			p "b) s plynovou maskou se dost blb j"
			p "c) kdybych je sndl, nelo by tuhle hru vyhrt"
		end
	end
}



-- pedmty a lokace

-- OBVK

obyvak = room{
	n="Obvk",
	d="Normaln panelakov obvak. Na sever od nj je kuchyn.",
	sever="kuchyn"
}

maska = item{
	n="plynovou masku",
	d="Plynova maska z dob ruske okupace.",
	desc="Star protiplynov maska, patrn rusk vroby. Nechpu co dlala v pohovce.",
	w="pohovka",
	darovatelne = true
}

pohovka = item{
	n="pohovku",
	d="Star praiv pohovka sotva dr. Pamatuje snad i druhou svtovou.",
	desc = function()
		if maska.w=='pohovka' then
			p "Z pohovky ouh nco divnho, zkusm to vythnout."
			p "Wow! Je to plynov maska!"
			move("maska", "me")
		else
			p "V pohovce je u jenom prach."
		end
	end,
	w="obyvak"
}

otec = item{
	n="otce",
	d="Na pohovce se val otec a kouka se na telku.",
	desc="Tvj fotr. Fek.",
	w="obyvak"
}

-- tohle je troku hack - neumme moc dobe skloovat, tak mme pro otce speciln objekt na obdarovvn
otci = item{
	n = "otci",
	komu = true,
	w = "obyvak"
}

televize = item{
	n = "televizi",
	desc = randomp{
		"V telce bا zpas praskch S.",
		"Fanouci v televizi hou dlobuchy.",
		"Prv bا reklama.",
		"V televizi je Horst Fuchs: A pokud zavolte do deseti minut, dostanete ke kadmu noi kotko zdarma."
	},
	w = "obyvak"
}


-- KUCHYN

kuchyn = room{
	n="Kuchy",
	d="Umakartov kuchy z doby vrcholnho komunismu. Na jih od n je obyvk.",
	jih="obyvak"
}

syrecky = item{
	n = "syreky",
	desc = "Stran smradlav syreky. Smrd tak mocn, e je to ctit i pes igelit.",
	w = "lednice",
	darovatelne = true,
	jedle = true
}

bageta = item{
	n = "bagetu",
	d = "Na kuchysk lince le bageta.",
	desc = function()
		p "Typick bageta z benznky. Kupodivu ani nen prol."
		if game.bageta.w~="me" then
			p "Beru ji sebou."
			move("bageta", "me")
		end
	end,
	darovatelne = true,
	jedle = true,
	w = "kuchyn"
}



lednice = item{
	n="lednici",
	d="Spodan tu vrn obstaron lednice",
	desc = "Obstaron lednika znaky CALEX. Hotov hrozba pro ivotn prosted.",
	open = function()
		p "Otevr ledniku. Dvee vrou."
		if syrecky.w=="lednice" then
			if maska.w=="me" then
				p "Syreky strane smrd, bere si na pomoc plynovou masku."
				move("syrecky", "me")
				p "Vypad pitom jak stalker ze stejnojmen poitaov hry, ale podailo se ti vzt syreky."
			else
				p "Straliv smrad syrek t donutil ledniku zase zavt!"
			end
		else
			p "V lednici vak u je jen \"Pera, kter ila v lednici vedle majonzy a za zelnm saltem\". A ta t nezajm."
		end
	end,
	w="kuchyn"
}

vyhled = item{
	n = "vhled",
	d = "A je tu krsn vhled na Jihozpadn msto",
	w="kuchyn",
	desc = randomp{
		"Panelky dnes vypadaj patin depresivn.",
		"Ped barkem zrovna nkomu kradou auto.",
		"Ped barkem zrovna policajti rozdvaj pokuty.",
		"Dti si hrajou na hiti.",
		"Dchodkyn pomlouvaj tu dnen mlde.",
		"Vietnamc si el zakouit ped veerku.",
		"Gopnici ve vchodu tan na hardbass."
	},
	open="Okno radji otvrat nebudu, mohl by se sem dostat smog."
}

naokno = item{
	n = "na okno",
	komu = true,
	w = "kuchyn"
}

-- META

local sledovani = randomp{
	"Otec se napil piva.",
	"GOOOOOOOOOOOOOOOL!!!!\nSparani v televizi prv skrovali. ve cel sdlit.",
	"Otec se raduje, Sparta vede 1:0 .",
	"Otec zana bt nervzn.\nOtec: Tak kde jsou sakra ty syreky?!"
}

local zrani = randomp{
	"Otec spokojen mlask pi ran syrek.",
	"Otec: To je dobrota, to je dobrota.",
	"Otec: Mam, mam...",
	"Otec slastn mlask pi ran syrek.",
	"Otec se olizuje a za uima."
}

function round()
	if here().ref=="obyvak"  then
		if syrecky.w=="otec" then
			zrani()
		else	
			sledovani()
		end
	end
end


intro = room{
	d=[[SYREKY 2019 - technologick demo

(verze z 17.8.2019)

Tvm clem je donst otci syreky z kuchyn.

Hru navrhnul Petr Kain v roce 2010, potom slouila jako esk obdoba Cloak of Darkness.]],
	cont="obyvak",
	auto_command = "pokraovat"
}